package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * DeleteTagOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class DeleteTagOpenApiVo   {
  @JsonProperty("tagId")
  private String tagId;

  public DeleteTagOpenApiVo tagId(String tagId) {
    this.tagId = tagId;
    return this;
  }

  /**
   * Tag ID
   * @return tagId
  */
  @ApiModelProperty(required = true, value = "Tag ID")
  @NotNull


  public String getTagId() {
    return tagId;
  }

  public void setTagId(String tagId) {
    this.tagId = tagId;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DeleteTagOpenApiVo deleteTagOpenApiVo = (DeleteTagOpenApiVo) o;
    return Objects.equals(this.tagId, deleteTagOpenApiVo.tagId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(tagId);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DeleteTagOpenApiVo {\n");
    
    sb.append("    tagId: ").append(toIndentedString(tagId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

